Get instance detail
curl --request GET \
--url https://api.wsapi.chat/account/instances/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.wsapi.chat/account/instances/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wsapi.chat/account/instances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.wsapi.chat/account/instances/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Api-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"name": "<string>",
"hasApiKey": true,
"settings": {
"useCustomDefaults": true,
"pullMode": true,
"webhookUrl": "<string>",
"eventSigningSecret": "<string>",
"historySync": true,
"eventFilters": [
"<string>"
]
},
"status": "<string>",
"deviceId": "<string>",
"created": "2023-11-07T05:31:56Z"
}{
"status": 401,
"detail": "unauthorized"
}{
"status": 404,
"detail": "not found"
}Account
Get instance detail
Returns full instance information including settings.
GET
/
account
/
instances
/
{id}
Get instance detail
curl --request GET \
--url https://api.wsapi.chat/account/instances/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.wsapi.chat/account/instances/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wsapi.chat/account/instances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.wsapi.chat/account/instances/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Api-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"name": "<string>",
"hasApiKey": true,
"settings": {
"useCustomDefaults": true,
"pullMode": true,
"webhookUrl": "<string>",
"eventSigningSecret": "<string>",
"historySync": true,
"eventFilters": [
"<string>"
]
},
"status": "<string>",
"deviceId": "<string>",
"created": "2023-11-07T05:31:56Z"
}{
"status": 401,
"detail": "unauthorized"
}{
"status": 404,
"detail": "not found"
}Authorizations
Customer API key. Only the customer-level key is accepted for /account/* endpoints. No X-Instance-Id header is required.
Path Parameters
⌘I